Coin: SoEnabledElementsList Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

SoEnabledElementsList Class Reference
Action Classes

The SoEnabledElementsList class is a container for type info for element types that are enabled in actions. More...

`#include <Inventor/lists/SoEnabledElementsList.h>`

## Public Member Functions
| SoEnabledElementsList (SoEnabledElementsList *const parentlist)
| ~SoEnabledElementsList ()
const SoTypeList & | getElements (void) const
void | enable (const SoType elementtype, const int stackindex)
void | merge (const SoEnabledElementsList &eel)

## Static Public Member Functions
static int | getCounter (void)

## Detailed Description

The SoEnabledElementsList class is a container for type info for element types that are enabled in actions.

This class is probably not of interest for the application programmer.

## Constructor & Destructor Documentation

## ◆ SoEnabledElementsList()

SoEnabledElementsList::SoEnabledElementsList | ( | SoEnabledElementsList *const | parentlist | ) |

Constructor.

## ◆ ~SoEnabledElementsList()

SoEnabledElementsList::~SoEnabledElementsList | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ getElements()

const SoTypeList & SoEnabledElementsList::getElements | ( | void |  | ) | const

Return the list of enabled elements.

## ◆ enable()

void SoEnabledElementsList::enable | ( | const SoType | elementtype,
|  | const int | stackindex )

Add an elementtype to the list of enabled elements if it is not enabled already.

## ◆ merge()

void SoEnabledElementsList::merge | ( | const SoEnabledElementsList & | eel | ) |

Enables all the elements from the eel list that is enabled in this instance.

## ◆ getCounter()

int SoEnabledElementsList::getCounter | ( | void |  | ) |
| static

Return the current setting of the global counter used to determine when lists are out of date. It is incremented whenever a new element is added to a list.

The documentation for this class was generated from the following files:

- SoEnabledElementsList.h
- SoEnabledElementsList.cpp